Name:    jgrapht
Version: 0.8.1
Release: %mkrel 13
Summary: A free Java graph library that provides mathematical graph objs and algorithms
Group:   Development/Java
License: LGPLv2+
URL:     http://jgrapht.sourceforge.net/
Source0: http://downloads.sourceforge.net/project/jgrapht/JGraphT/Version%200.8.1/jgrapht-%{version}.tar.gz
Patch0:  remove_uneccessary_hardcoded_classpath.patch
Patch1:  jgrapht-0.8.1-disable-doclint.patch

BuildRequires: java-devel >= 1.6
BuildRequires: javapackages-local
BuildRequires: ant

BuildArch: noarch

%description
JGraphT is a free Java graph library that provides mathematical graph-theory 
objects and algorithms.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0
%patch1 -p0

# remove uneccessary dirs/files
# removing touchgraph/jgraph support as we don't currently have deps packaged
rm -rf src/org/jgrapht/demo/ src/org/jgrapht/experimental/touchgraph src/org/jgrapht/ext/JGraphModelAdapter.java

# remove builting jars/classes
find ./ -name '*.jar' -exec rm -f '{}' \; 
find ./ -name '*.class' -exec rm -f '{}' \; 

%build
ant jar
ant javadoc

%install
%mvn_artifact thirdparty:%{name}-jdk1.6:%{version} %{name}-jdk1.6.jar
%mvn_file thirdparty:%{name}-jdk1.6 %{name}
%mvn_install -J javadoc

%files -f .mfiles
%doc README.html
%license license-LGPL.txt

%files javadoc -f .mfiles-javadoc
%license license-LGPL.txt



%changelog
* Mon Feb 29 2016 daviddavid <daviddavid> 0.8.1-13.mga6
+ Revision: 980759
- First rebuild of the java stack
- sync package jgrapht with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-4.mga5
+ Revision: 744087
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 680804
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.8.1-2.mga4
+ Revision: 542012
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 0.8.1-1.mga4
+ Revision: 496697
- New version

* Sat Jan 12 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 355414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 02 2011 dmorgan <dmorgan> 0.8.0-1.mga2
+ Revision: 131287
- Clean spec file

  + gil <gil>
    - imported package jgrapht


* Sat Jun 11 2011 gil <gil> 0.8.0-0.%%mkrel
- initial rpm